Arbor 3: FSM & BT Graph Editor 3.5.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
FlexibleRigidbody Class Reference

参照方法が複数ある柔軟なRigidbody型を扱うクラス。 More...

Inheritance diagram for FlexibleRigidbody:

## Public Member Functions
| FlexibleRigidbody ()
| FlexibleRigidbodyデフォルトコンストラクタ More...
| FlexibleRigidbody (Rigidbody value)
| FlexibleRigidbodyコンストラクタ More...
| FlexibleRigidbody (RigidbodyParameterReference parameter)
| FlexibleRigidbodyコンストラクタ More...
| FlexibleRigidbody (InputSlotRigidbody slot)
| FlexibleRigidbodyコンストラクタ More...
FlexibleComponent | ToFlexibleComponent ()
| FlexibleComponentへ変換して返す。 More...
Public Member Functions inherited from FlexibleField< Rigidbody >
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleField ()
| FlexibleFieldデフォルトコンストラクタ More...
| FlexibleField (T value)
| FlexibleFieldコンストラクタ More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleFieldコンストラクタ More...
| FlexibleField (InputSlotAny slot)
| FlexibleFieldコンストラクタ More...

## Static Public Member Functions
static | operator Rigidbody (FlexibleRigidbody flexible)
| FlexibleRigidbodyをRigidbodyにキャスト。 More...
static | operator FlexibleRigidbody (Rigidbody value)
| RigidbodyをFlexibleRigidbodyにキャスト。 More...
Static Public Member Functions inherited from FlexibleField< Rigidbody >
static | operator T (FlexibleField< T > flexible)
| FlexibleFieldをTにキャスト。 More...
static | operator FlexibleField< T > (T value)
| TをFlexibleFieldにキャスト。 More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< Rigidbody >
T | _Value
| 固定値 More...
AnyParameterReference | _Parameter
| パラメータ参照 More...
InputSlotAny | _Slot
| データ入力スロット More...
Properties inherited from FlexibleField< Rigidbody >
override System.Type | fieldType`[get]`
| フィールドの型を返す。 More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
T | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なRigidbody型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleRigidbody | ( |  | ) |

FlexibleRigidbodyデフォルトコンストラクタ

FlexibleRigidbody | ( | Rigidbody | value | ) |

FlexibleRigidbodyコンストラクタ

Parameters

  value | 値

FlexibleRigidbody | ( | RigidbodyParameterReference | parameter | ) |

FlexibleRigidbodyコンストラクタ

Parameters

  parameter | パラメータ

FlexibleRigidbody | ( | InputSlotRigidbody | slot | ) |

FlexibleRigidbodyコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

static operator FlexibleRigidbody | ( | Rigidbody | value | ) |
| explicit static

RigidbodyをFlexibleRigidbodyにキャスト。

Parameters

  value | Rigidbody

static operator Rigidbody | ( | FlexibleRigidbody | flexible | ) |
| explicit static

FlexibleRigidbodyをRigidbodyにキャスト。

Parameters

  flexible | FlexibleRigidbody

FlexibleComponent ToFlexibleComponent | ( |  | ) |

FlexibleComponentへ変換して返す。

Returns
  FlexibleComponent